Bug 491936 - Group ownership is wrong for /dev/usb/lp0
Group ownership is wrong for /dev/usb/lp0
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: cups (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-24 13:40 EDT by Ed Friedman
Modified: 2010-01-11 09:22 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 04:06:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ed Friedman 2009-03-24 13:40:59 EDT
Description of problem:
Group ownership of /dev/usb/lp0 becomes tty after every reboot.  It is impossible to print to the local USB printer unless the group ownership of /dev/usb/lp0 is lp.

Version-Release number of selected component (if applicable):
filesystem-2.4.19-1.fc10.x86_64

How reproducible:
Always

Steps to Reproduce:
1.Change group ownership of /dev/usb/lp0 to lp
2.Reboot computer
3.
  
Actual results:
Group ownership of /dev/usb/lp0 is now tty

Expected results:
Group ownership of /dev/usb/lp0 should remain lp

Additional info:
Comment 1 Ondrej Vasik 2009-07-07 10:35:39 EDT
I guess correct component for that bugzilla is udev, I can't fix this in filesystem. See http://ubuntuforums.org/archive/index.php/t-116349.html for how-to-fix (if not fixed already).
Comment 2 Bug Zapper 2009-11-18 06:35:42 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-12-18 04:06:06 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 4 Karel Volný 2010-01-11 09:22:07 EST
this got fixed meanwhile, cups now includes udev rules to add rw access to lp group for usb printers

Note You need to log in before you can comment on or make changes to this bug.